# Created by: Oliver Braun <obraun@FreeBSD.org>

PORTNAME=	darcs
PORTVERSION=	2.16.5
CATEGORIES=	devel haskell

MAINTAINER=	haskell@FreeBSD.org
COMMENT=	Distributed, interactive, smart revision control system

LICENSE=	GPLv2+

LIB_DEPENDS=	libcurl.so:ftp/curl

USES=		cabal pkgconfig

USE_CABAL=	OneTuple-0.3.1_2 \
		StateVar-1.2.2 \
		aeson-2.0.2.0_1 \
		appar-0.1.8 \
		asn1-encoding-0.9.6_2 \
		asn1-parse-0.9.5 \
		asn1-types-0.3.4 \
		assoc-1.0.2_2 \
		async-2.2.4_1 \
		attoparsec-0.13.2.5_2 \
		base-compat-0.12.1 \
		base-compat-batteries-0.12.1_2 \
		base-orphans-0.8.6 \
		base16-bytestring-1.0.2.0 \
		base64-bytestring-1.2.1.0 \
		basement-0.0.14 \
		bifunctors-5.5.11_1 \
		blaze-builder-0.4.2.2_1 \
		byteorder-1.0.4 \
		case-insensitive-1.2.1.0 \
		cereal-0.5.8.2 \
		comonad-5.0.8_1 \
		conduit-1.3.4.2 \
		conduit-extra-1.3.5 \
		connection-0.3.1_1 \
		constraints-0.12_1 \
		contravariant-1.5.5 \
		cookie-0.4.5 \
		cryptonite-0.29 \
		data-default-class-0.1.2.0 \
		data-fix-0.3.2_2 \
		data-ordlist-0.4.7.0 \
		digest-0.0.1.3 \
		distributive-0.6.2.1_1 \
		dlist-1.0 \
		fgl-5.7.0.3 \
		filtrable-0.1.6.0 \
		hashable-1.3.5.0_1 \
		hourglass-0.2.12 \
		hsc2hs-0.68.8 \
		html-1.0.1.2 \
		http-client-0.7.11_1 \
		http-client-tls-0.3.6.1 \
		http-conduit-2.3.8 \
		http-types-0.12.3 \
		indexed-traversable-0.1.2_1 \
		indexed-traversable-instances-0.1.1 \
		integer-logarithms-1.0.3.1_2 \
		iproute-1.7.12 \
		memory-0.16.0_1 \
		mime-types-0.1.0.9 \
		mmap-0.5.9 \
		mono-traversable-1.0.15.3 \
		network-3.1.2.7 \
		network-uri-2.6.4.1 \
		old-locale-1.0.0.7_2 \
		old-time-1.1.0.3_2 \
		pem-0.2.4 \
		primitive-0.7.3.0 \
		random-1.2.1 \
		regex-applicative-0.3.4 \
		regex-base-0.94.0.2 \
		regex-tdfa-1.3.1.2 \
		resourcet-1.2.4.3_1 \
		scientific-0.3.7.0_2 \
		semialign-1.2.0.1_1 \
		semigroupoids-5.3.7 \
		semigroups-0.19.2_2 \
		socks-0.6.1 \
		split-0.2.3.4_2 \
		splitmix-0.1.0.4 \
		streaming-commons-0.2.2.4 \
		strict-0.4.0.1_4 \
		tagged-0.8.6.1_2 \
		tar-0.5.1.1_4 \
		temporary-1.3 \
		text-short-0.1.5 \
		th-abstraction-0.4.3.0 \
		th-compat-0.1.3 \
		these-1.1.1.1_5 \
		time-compat-1.9.6.1_3 \
		tls-1.5.7 \
		transformers-compat-0.7.1_1 \
		type-equality-1_3 \
		typed-process-0.2.8.0 \
		unix-compat-0.5.4_1 \
		unliftio-core-0.2.0.1_2 \
		unordered-containers-0.2.18.0 \
		utf8-string-1.0.2 \
		uuid-types-1.0.5_2 \
		vector-0.12.3.1_1 \
		vector-algorithms-0.8.0.4_1 \
		witherable-0.4.2_2 \
		x509-1.7.6 \
		x509-store-1.6.9 \
		x509-system-1.6.7 \
		x509-validation-1.6.12 \
		zip-archive-0.4.2.1 \
		zlib-0.6.2.3_1

.include <bsd.port.mk>
